﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_IMAGEREMIND') 
 CREATE TABLE T_BAS_IMAGEREMIND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMESSAGETITLE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FEXPIREDDAY INT DEFAULT 0 NOT NULL,
FREMINDCYCLE INT DEFAULT 0 NOT NULL,
FMESSAGECHANNEL NVARCHAR(10) DEFAULT ' ' NOT NULL,
FMESSAGEOBJECT NVARCHAR(10) DEFAULT ' ' NOT NULL,
FMESSAGETEMPLATE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPRIORITY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_BAS_IMAGEREMIND', 'T_BAS_IMAGEREMIND', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_BAS_IMAGEREMIND') CREATE INDEX INDEX_BAS_IMAGEREMIND ON T_BAS_IMAGEREMIND ( FENABLE );
